#include <stdio.h>
#include <stdlib.h>

#include "bignum.h"


void
test_copy()
{
	struct bignum a, b;

	unsigned short av[] = { 0x0000, 0xffff, 0xabcd };
	unsigned short bv[] = { 0x0000, 0xeeee, 0x0000 };

	bnum_init_static(&a);
	bnum_init_static(&b);

	bnum_set(&a, av, 3, 0);
	bnum_copy(&b, &a);

	if (bnum_cmp(&a, &b) != 0)
		printf("test_copy: a != b\n");

	bnum_reset(&b);

	bnum_set(&a, bv, 2, 0);
	bnum_set_safe(&b, bv, 3, 0);
	
	if (bnum_cmp(&a, &b) != 0)
		printf("test_copy: a != b after set_safe\n");

	bnum_reset(&a);
	bnum_reset(&b);
}

int
main(int argc, char **argv)
{
	test_copy();

	return 0;
}
